petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpaceDuplicate

Creates a duplicate PetscDualSpace object, however it is not setup.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceDuplicate(PetscDualSpace sp, PetscDualSpace *spNew)

Collective on sp

### Input Parameter

sp -The original PetscDualSpace

### Output Parameter

spNew -The duplicate PetscDualSpace

### See Also

PetscDualSpaceCreate(), PetscDualSpaceSetType()

### Level

beginner

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceDuplicate_BDM in src/dm/dt/dualspace/impls/bdm/dspacebdm.c
PetscDualSpaceDuplicate_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceDuplicate_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages